Bug 799789 - (CVE-2012-1100) CVE-2012-1100 JON: LDAP authentication allows any user access if bind credentials are bad
CVE-2012-1100 JON: LDAP authentication allows any user access if bind credent...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20120228,repo...
: Security
Depends On:
Blocks: 799790 804485 804887
  Show dependency treegraph
 
Reported: 2012-03-04 22:12 EST by David Jorm
Modified: 2014-10-20 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 13:36:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-03-04 22:12:44 EST
If JON is configured to use LDAP authentication, and the LDAP bind account credentials are invalid, any subsequent login attempt by a user created via LDAP will be successful with any arbitrary password.
Comment 3 David Jorm 2012-03-05 02:34:36 EST
This flaw affects JON 2.4.2 and JON 3.0.0.
Comment 4 errata-xmlrpc 2012-03-19 17:47:29 EDT
This issue has been addressed in following products:

  JBoss Operations Network 2.4.2

Via RHSA-2012:0396 https://rhn.redhat.com/errata/RHSA-2012-0396.html
Comment 5 errata-xmlrpc 2012-03-20 13:09:33 EDT
This issue has been addressed in following products:

  JBoss Operations Network 3.0.1

Via RHSA-2012:0406 https://rhn.redhat.com/errata/RHSA-2012-0406.html

Note You need to log in before you can comment on or make changes to this bug.